/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the Free Software           *
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.             *
 *                                                                         *
 ***************************************************************************/

#ifndef KCDEMUPROCESS
#define KCDEMUPROCESS

#include <qstring.h>

#include <kmessagebox.h>
#include <kprocess.h>

class KCDemuProcess : public KProcess {
	Q_OBJECT

	public:
		KCDemuProcess();
		~KCDemuProcess();

		bool gotError();

	public slots:
		void gotOutput( KProcess *proc, char *buffer, int buflen );

	protected:
		bool bGotError;
};

#endif
